%define majver %(echo %version | cut -d. -f1-2)

Name:          plasma-framework
Version:       5.59.0
Release:       1mamba
Summary:       KDE Frameworks 5 foundations that can be used to build a primary user interface
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/plasma-framework-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
Patch0:        plasma-framework-5.55.0-arm-GLESv2.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libgcc
BuildRequires: libkactivities5-devel
BuildRequires: libkarchive-devel
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkcompletion-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdeclarative-devel
BuildRequires: libkglobalaccel-devel
BuildRequires: libkguiaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkio-devel
BuildRequires: libkjobwidgets-devel
BuildRequires: libknotifications-devel
BuildRequires: libkpackage-devel
BuildRequires: libkservice-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: libkxmlgui-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The plasma framework provides the foundations that can be used to build a primary user interface, from graphical to logical components.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
%ifarch arm
%patch0 -p1
%endif

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
## remove the following line if no dynamic libraries are provided by this package
/sbin/ldconfig
exit 0

%postun -n lib%{name}
## remove the following line if no dynamic libraries are provided by this package
/sbin/ldconfig
exit 0

%files -f %{name}5_qt.lang
%defattr(-,root,root)
#%{_datadir}/kservices5/plasma-dataengine-testengine.desktop
%{_datadir}/kservices5/plasma-scriptengine-applet-declarative.desktop
%{_kde5_servicetypesdir}/plasma-applet.desktop
%{_kde5_servicetypesdir}/plasma-containment.desktop
%{_kde5_servicetypesdir}/plasma-containmentactions.desktop
%{_kde5_servicetypesdir}/plasma-dataengine.desktop
%{_kde5_servicetypesdir}/plasma-generic.desktop
%{_kde5_servicetypesdir}/plasma-lookandfeel.desktop
%{_kde5_servicetypesdir}/plasma-packagestructure.desktop
%{_kde5_servicetypesdir}/plasma-scriptengine.desktop
%{_kde5_servicetypesdir}/plasma-service.desktop
%{_kde5_servicetypesdir}/plasma-shell.desktop
%{_kde5_servicetypesdir}/plasma-wallpaper.desktop
%{_datadir}/locale/lt/LC_SCRIPTS/libplasma5/libplasma5.js
%{_datadir}/locale/lt/LC_SCRIPTS/libplasma5/plasmoids.js
%{_mandir}/man1/plasmapkg2.1*
%{_mandir}/*/man1/plasmapkg2.1*
%dir %{_datadir}/plasma
%dir %{_datadir}/plasma/desktoptheme
%dir %{_datadir}/plasma/desktoptheme/air
%{_datadir}/plasma/desktoptheme/air/*
%dir %{_datadir}/plasma/desktoptheme/breeze-light
%{_datadir}/plasma/desktoptheme/breeze-light/*
%dir %{_datadir}/plasma/desktoptheme/breeze-dark
%{_datadir}/plasma/desktoptheme/breeze-dark/*
%dir %{_datadir}/plasma/desktoptheme/default
%{_datadir}/plasma/desktoptheme/default/*
%dir %{_datadir}/plasma/desktoptheme/oxygen
%{_datadir}/plasma/desktoptheme/oxygen/*
%{_datadir}/plasma/services/dataengineservice.operations
%{_datadir}/plasma/services/plasmoidservice.operations
%{_datadir}/plasma/services/storage.operations
%{_datadir}/kdevappwizard/templates/*
%doc COPYING COPYING.LIB

%files -n lib%{name}
%defattr(-,root,root)
%{_bindir}/plasmapkg2
%{_kde5_libdir}/libKF5Plasma.so.*
%{_kde5_libdir}/libKF5PlasmaQuick.so.*
%{_libdir}/qt5/plugins/plasma/scriptengines/plasma_appletscript_declarative.so
#%{_libdir}/qt5/plugins/plasma_engine_testengine.so
%{_libdir}/qt5/plugins/kpackage/packagestructure/*.so
%{_libdir}/qt5/qml/QtQuick/Controls/Styles/Plasma/*
%{_libdir}/qt5/qml/QtQuick/Controls.2/Plasma/*
%{_libdir}/qt5/qml/org/kde/plasma/accessdenied/qmldir
%dir %{_libdir}/qt5/qml/org/kde/plasma/calendar
%{_libdir}/qt5/qml/org/kde/plasma/calendar/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/components
%{_libdir}/qt5/qml/org/kde/plasma/components/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/components.3
%{_libdir}/qt5/qml/org/kde/plasma/components.3/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/core
%{_libdir}/qt5/qml/org/kde/plasma/core/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/extras
%{_libdir}/qt5/qml/org/kde/plasma/extras/*
%dir %{_libdir}/qt5/qml/org/kde/kirigami.2
%dir %{_libdir}/qt5/qml/org/kde/kirigami.2/styles
%dir %{_libdir}/qt5/qml/org/kde/kirigami.2/styles/Plasma
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/Plasma/*
%dir %{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.desktop.plasma
%{_libdir}/qt5/qml/org/kde/kirigami.2/styles/org.kde.desktop.plasma/*
%dir %{_libdir}/qt5/qml/org/kde/plasma/platformcomponents
%{_libdir}/qt5/qml/org/kde/plasma/platformcomponents/plugins.qmltypes
%{_libdir}/qt5/qml/org/kde/plasma/platformcomponents/libplatformcomponentsplugin.so
%{_libdir}/qt5/qml/org/kde/plasma/platformcomponents/qmldir

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_includedir}/Plasma
%{_kde5_includedir}/Plasma/*
%dir %{_kde5_includedir}/plasma
%{_kde5_includedir}/plasma/*
%{_kde5_includedir}/plasma_version.h
%dir %{_kde5_includedir}/PlasmaQuick
%{_kde5_includedir}/PlasmaQuick/*
%dir %{_kde5_includedir}/plasmaquick
%{_kde5_includedir}/plasmaquick/*
%dir %{_kde5_libdir}/cmake/KF5Plasma
%{_kde5_libdir}/cmake/KF5Plasma/*.cmake
%dir %{_kde5_libdir}/cmake/KF5PlasmaQuick
%{_kde5_libdir}/cmake/KF5PlasmaQuick/*.cmake
%{_kde5_libdir}/libKF5Plasma.so
%{_kde5_libdir}/libKF5PlasmaQuick.so

%changelog
* Fri Jun 14 2019 Automatic Build System <autodist@mambasoft.it> 5.59.0-1mamba
- automatic version update by autodist

* Thu May 16 2019 Automatic Build System <autodist@mambasoft.it> 5.58.0-1mamba
- automatic version update by autodist

* Sat Apr 20 2019 Automatic Build System <autodist@mambasoft.it> 5.57.0-1mamba
- automatic version update by autodist

* Thu Mar 14 2019 Automatic Build System <autodist@mambasoft.it> 5.56.1-1mamba
- automatic version update by autodist

* Wed Mar 13 2019 Automatic Build System <autodist@mambasoft.it> 5.56.0-1mamba
- automatic version update by autodist

* Mon Feb 18 2019 Automatic Build System <autodist@mambasoft.it> 5.55.0-1mamba
- automatic version update by autodist

* Sun Jan 20 2019 Automatic Build System <autodist@mambasoft.it> 5.54.0-1mamba
- automatic version update by autodist

* Tue Dec 18 2018 Automatic Build System <autodist@mambasoft.it> 5.53.0-1mamba
- automatic version update by autodist

* Sat Nov 24 2018 Automatic Build System <autodist@mambasoft.it> 5.52.0-1mamba
- automatic version update by autodist

* Mon Oct 22 2018 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Tue Sep 11 2018 Automatic Build System <autodist@mambasoft.it> 5.50.0-1mamba
- automatic version update by autodist

* Wed Aug 22 2018 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Tue Jul 17 2018 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Tue Jun 19 2018 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Fri May 18 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Fri Apr 20 2018 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Sun Mar 18 2018 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Mon Jan 22 2018 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Sat Dec 30 2017 Automatic Build System <autodist@mambasoft.it> 5.41.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2017 Automatic Build System <autodist@mambasoft.it> 5.40.0-1mamba
- automatic version update by autodist

* Thu Nov 02 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.39.0-2mamba
- libplasma-framework: require plasma-framework

* Tue Oct 24 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Thu Sep 14 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Fri Aug 25 2017 Automatic Build System <autodist@mambasoft.it> 5.37.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 5.36.0-1mamba
- automatic version update by autodist

* Thu Apr 13 2017 Automatic Build System <autodist@mambasoft.it> 5.32.0-1mamba
- automatic version update by autodist

* Fri Jan 27 2017 Automatic Build System <autodist@mambasoft.it> 5.30.0-1mamba
- automatic version update by autodist

* Fri Dec 23 2016 Automatic Build System <autodist@mambasoft.it> 5.29.0-1mamba
- automatic version update by autodist

* Sat Oct 15 2016 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Tue Oct 11 2016 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Sun Jul 31 2016 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Sun Jun 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Sun May 29 2016 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Sun May 08 2016 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Sun Feb 28 2016 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Fri Jan 22 2016 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Sat Jan 02 2016 Automatic Build System <autodist@mambasoft.it> 5.17.0-2mamba
- automatic version update by autodist

* Sat Jan 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.17.0-1mamba
- update to 5.17.0

* Wed Sep 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.13.0-1mamba
- update to 5.13.0

* Sun Aug 16 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.12.0-1mamba
- package created using the webbuild interface
